
import { connect } from "umi";
import ProcessCardPackTableTreeNew from "../../../components/Manufacture/ProcessCardPackTableTreeNew";

function ProcessCardPackTableTreeNewComponent({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: "app/removePane", payload: { changePanes, currentPane } });
  }

  const commonProps = {
    app,
    content,
    dispatch,
    onRemovePane: removePane
  };
  return <ProcessCardPackTableTreeNew {...commonProps} />;
}

export default connect(({ app, content }) => ({ app, content }))(
  ProcessCardPackTableTreeNewComponent
);
